/* MinuteMonitor, log duration and display usage for the N900
 * Copyright (c) 2012 David Fries <David@Fries.net> http://david.fries.net/
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __MINUTE_MONITOR_H
#define __MINUTE_MONITOR_H 1

#include <QDeclarativeView>
#include <QDBusContext>
#include <QDBusMessage>
#include <QString>
#include <QKeyEvent>
#include <QTimer>
#include "QmlStore.h"

class MinuteMonitor : public QDeclarativeView, protected QDBusContext
{
	Q_OBJECT
public:
	MinuteMonitor();
signals:
	// called after QML is reloaded
	void Reloaded();
	// Settings menu item was selected.
	void Settings();
	void About();
private slots:
	void ReloadQML();
	// receives a signal from DBus when a call has ended.
	void CallEnded();
	// called after a delay after the DBus signal was received
	void UpdateStatus();
private:
	QmlStore Db;
	// Delay the update from a just ended call to give the log process
	// time to update the database.
	QTimer StatusDelay;
	QDBusMessage Msg;
};

#endif // __MINUTE_MONITOR_H
